package cn.com.poc.equity.dto;

import cn.com.poc.equity.constants.EquityEnum;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author alex.yao
 * @date 2024/12/11
 */
public class CurrentUserPayOrderDto implements Serializable {

    private EquityEnum.TYPE type;

    private EquityEnum.DOMAIN domain;

    private Integer expiredNum;

    private EquityEnum.VALIDITY_UNIT expiredType;

    private BigDecimal pointNum;

    private Integer remainExpiredDay;

    private BigDecimal amount;

    private String payTime;

    private String payChannel;

    private String payOrderSn;


    public EquityEnum.TYPE getType() {
        return type;
    }

    public void setType(EquityEnum.TYPE type) {
        this.type = type;
    }

    public EquityEnum.DOMAIN getDomain() {
        return domain;
    }

    public void setDomain(EquityEnum.DOMAIN domain) {
        this.domain = domain;
    }

    public Integer getExpiredNum() {
        return expiredNum;
    }

    public void setExpiredNum(Integer expiredNum) {
        this.expiredNum = expiredNum;
    }

    public EquityEnum.VALIDITY_UNIT getExpiredType() {
        return expiredType;
    }

    public void setExpiredType(EquityEnum.VALIDITY_UNIT expiredType) {
        this.expiredType = expiredType;
    }

    public BigDecimal getPointNum() {
        return pointNum;
    }

    public void setPointNum(BigDecimal pointNum) {
        this.pointNum = pointNum;
    }

    public Integer getRemainExpiredDay() {
        return remainExpiredDay;
    }

    public void setRemainExpiredDay(Integer remainExpiredDay) {
        this.remainExpiredDay = remainExpiredDay;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getPayOrderSn() {
        return payOrderSn;
    }

    public void setPayOrderSn(String payOrderSn) {
        this.payOrderSn = payOrderSn;
    }
}
